Piloterr

Chewy Search

Scrape Chewy search, brand, or category pages to retrieve a list of products with pricing, ratings, and availability.

Credit cost: 2 credits per call

GET
/v2/chewy/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Chewy search or browse URL to scrape results from.

Supported URL types:

  • search: https://www.chewy.com/s?query=dog+food
  • brand page: https://www.chewy.com/brands/feliway-6614
  • category page: https://www.chewy.com/b/dry-food-294

Example:

https://www.chewy.com/brands/feliway-6614

Notes:

  • The URL must be a valid Chewy listing, search, or brand page.
  • Pagination is handled internally; the API returns results from the first page of the given URL.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/chewy/search?query=string"
{
  "results": [
    {
      "ppu": "$24.99/ea",
      "href": "https://www.chewy.com/feliway-multicat-30-day-starter-kit/dp/116881",
      "name": "Feliway MultiCat 30 Day Starter Kit Calming Diffuser for Cats, 1 count",
      "image": "https://image.chewy.com/catalog/general/images/feliway-multicat-30-day-starter-kit-calming-diffuser-for-cats-1-count/img-740068,1",
      "is_ad": false,
      "is_atf": false,
      "is_new": false,
      "rating": 3.711,
      "is_deal": true,
      "in_stock": true,
      "is_fresh": false,
      "is_bundle": false,
      "is_frozen": false,
      "description": "After cats give birth, they naturally produce pheromones that send harmony messages to their little ones. Feliway MultiCat 30 Day Starter Kit mimics these natural pheromones to restore harmony between felines.",
      "part_number": "94199",
      "manufacturer": "Feliway",
      "rating_count": 3246,
      "strike_price": "$33.99",
      "display_price": "$24.99",
      "autoship_price": "$23.74",
      "is_rx_vet_diet": false,
      "is_prescription": false,
      "is_discontinued": false
    },
    {
      "ppu": "$24.99/ea",
      "href": "https://www.chewy.com/feliway-multicat-calming-diffuser-refill/dp/52450",
      "name": "Feliway MultiCat Calming Diffuser Refill for Cats, 1 count",
      "image": "https://image.chewy.com/catalog/general/images/feliway-multicat-calming-diffuser-refill-for-cats-1-count/img-627449,1",
      "is_ad": false,
      "is_atf": false,
      "is_new": false,
      "rating": 3.914,
      "is_deal": false,
      "in_stock": true,
      "is_fresh": false,
      "is_bundle": false,
      "is_frozen": false,
      "description": "Help create harmony and avoid conflict between your cats with Feliway MultiCat Calming Diffuser Refill.",
      "part_number": "52450",
      "manufacturer": "Feliway",
      "rating_count": 1842,
      "strike_price": null,
      "display_price": "$24.99",
      "autoship_price": "$23.74",
      "is_rx_vet_diet": false,
      "is_prescription": false,
      "is_discontinued": false
    }
  ]
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}